using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Frilenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());

            Tuple<double,int>[] porezi = new Tuple<double,int>[n];


            
            for (int i = 0; i < n; i++)
            {
                string[] str = Console.ReadLine().Split();
                int x = int.Parse(str[0]);
                double y = double.Parse(str[1]);
                porezi[i] = Tuple.Create(y, x);


            }
            Array.Sort(porezi);

            double max=0d;
            for (int i = 0; i < n; i++)
            {
                double porez = porezi[i].Item1;
                double s = 0;
                for (int j = i; j < n; j++)
                {
                    s += IzracunajPorez(porezi[j].Item2, porez);
                }

                max = Math.Max(max, s);
            }

            Console.WriteLine(max.ToString("0.00"));
            Console.ReadLine();
        }

        static double IzracunajPorez(int a,double p)
        {
            return a * (p / 100d);
        }
    }
}